<!DOCTYPE html>
<html>

<head>
    <title>Lucky Dice Casino</title>
    <meta charset='utf-8'>
    <meta name='viewport' content='width=device-width, initial-scale=1'>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <!-- class CSS để dùng trong bài -->
    <style>
        .picture-cover {
            background-image: url("LuckyDiceImages/cover.jpg");
            min-height: 100px;
            margin: 5px;
        }
    </style>
</head>

<body>
    <div class="container-fluid  picture-cover">

    </div>
    <div class="container ">
        <div class="row ">
            <div class="col-5 bg-white  ">
                <div class="row  form-group">
                    <div class="col-12">
                        <!-- Tại dòng 2.1.1.1 thêm một div column rộng 12 đơn vị -->
                        <h4>Nhập thông tin của bạn</h4>
                    </div>
                </div>
                <div class="row   form-group">
                    <!-- tại mỗi dòng 2.1.1.2 thêm 2 div column có chiều rộng lần lượt là 4, 8 đơn vị -->
                    <div class="col-4  ">
                        <!-- chiều rộng 4 đơn vị (col-4) -->
                        <label>Username</label>
                    </div>
                    <div class="col-8  ">
                        <!-- chiều rộng 8 đơn vị (col-8) -->
                        <input id="inp-user-name" class="form-control" type="text">
                    </div>
                </div>
                <div class="row   form-group">
                    <!-- tại mỗi dòng 2.1.1.3 thêm 2 div column có chiều rộng lần lượt là 4, 8 đơn vị -->
                    <div class="col-4  ">
                        <!-- chiều rộng 4 đơn vị (col-4) -->
                        <label>Firstname</label>
                    </div>
                    <div class="col-8  ">
                        <!-- chiều rộng 8 đơn vị (col-8) -->
                        <input id="inp-first-name" class="form-control" type="text">
                    </div>
                </div>
                <div class="row   form-group">
                    <!-- tại mỗi dòng 2.1.1.4 thêm 2 div column có chiều rộng lần lượt là 4, 8 đơn vị -->
                    <div class="col-4  ">
                        <!-- chiều rộng 4 đơn vị (col-4) -->
                        <label>Lastname</label>
                    </div>
                    <div class="col-8  ">
                        <!-- chiều rộng 8 đơn vị (col-8) -->
                        <input id="inp-last-name" class="form-control" type="text">
                    </div>
                </div>
            </div>
            <div class="col-4  text-center">
                <!-- Tại cột 2.1.2 tạo 3 div class row, cột 2.1.2 có thuộc tính căn giữa -->
                <div class="row form-group">
                    <div class="col-12   ">
                        <!-- trong mỗi row chứa 1 cột rộng 12 đơn vị -->
                        <input id="btn-dice" class="btn btn-success button-width w-75" value="Ném" type="button">
                    </div>
                </div>
                <div class="row form-group">
                    <div class="col-12   ">
                        <!-- trong mỗi row chứa 1 cột rộng 12 đơn vị-->
                        <img id="img-dice" class="img-thumbnail" src="LuckyDiceImages/dice.png">
                    </div>
                </div>
                <div class="row form-group">
                    <div class="col-12   ">
                        <!-- trong mỗi row chứa 1 cột rộng 12 đơn vị -->
                        <p id="p-notification-dice">Chúc mừng</p>
                    </div>
                </div>
            </div>
            <div class="col-3  text-center">
                <!-- Tại cột 2.1.3 tạo 2 div class row, cột 2.1.3 có thuộc tính căn giữa -->
                <div class="row form-group">
                    <div class="col-12   ">
                        <!-- trong mỗi row chứa 1 cột rộng 12 đơn vị -->
                        <p>Voucher</p>
                        <p id="p-voucher-id">No ID</p>
                        <p id="p-voucher-percent">0%</p>
                    </div>
                </div>
                <div class="row form-group">
                    <div class="col-12   ">
                        <!-- trong mỗi row chứa 1 cột rộng 12 đơn vị-->
                        <img id="img-present" class="img-thumbnail" src="LuckyDiceImages/no-present.jpg">
                    </div>
                </div>
            </div>
        </div>
        <div class="row  text-center form-group">
            <!-- Tại row 2.2 thêm một div column rộng 12 đơn vị  -->
            <div class="col-12">
                <button id="btn-dice-history" class="btn btn-info button-width w-25">Dice History</button>
                <button id="btn-voucher-history" class="btn btn-success button-width w-25">Voucher History</button>
                <button id="btn-present-history" class="btn btn-success button-width w-25">Present History</button>
            </div>
        </div>
        <div class="row ">
            <!-- Tại row 2.3 thêm một div column rộng 12 đơn vị  -->
            <div class="col-12">
                <table id="history-placeholder-table" class="table table-striped table-hover ">
                    <tr>
                        <th>Lượt</th>
                        <th>Dice</th>
                    </tr>
                    <tr>
                        <td>1</td>
                        <td>2</td>
                    </tr>
                    <tr>
                        <td>2</td>
                        <td>6</td>
                    </tr>
                    <tr>
                        <td>3</td>
                        <td>4</td>
                    </tr>
                    <tr>
                        <td>4</td>
                        <td>5</td>
                    </tr>
                    <tr>
                        <td>5</td>
                        <td>4</td>
                    </tr>
                </table>
            </div>
        </div>
    </div>
</body>
<script>
    'use strict';
    $('#btn-dice').on('click', onBtnThrowDice);

    function onBtnThrowDice() {
        'use strict';
        var vDataObj = {
            username: '',
            firstname: '',
            lastname: ''
        }
        getDataObj(vDataObj);
        var vValidData = validateDataObj(vDataObj);
        if (vValidData) {
            $.ajax({
                url: "http://42.115.221.44:8080/devcamp-lucky-dice//dice",
                type: "POST",
                contentType: 'application/json',
                data: JSON.stringify(vDataObj),
                success: processResult,
                error: function () {
                    alert('Lỗi hệ thống, hãy ném lại');
                }
            })
        }
    }

    function processResult(paramResponse) {
        'use strict';
        console.log(paramResponse);
        $('#img-dice').attr('src', 'LuckyDiceImages/' + paramResponse.dice + '.png')
        if (paramResponse.dice < 4) {
            $('#p-notification-dice').html('Chúc bạn may mắn lần sau');
        } else {
            $('#p-notification-dice').html('Chúc mừng bạn');
            $('#p-voucher-id').html(paramResponse.voucher.maVoucher);
            $('#p-voucher-percent').html(paramResponse.voucher.phanTramGiamGia + ' %');

            if (paramResponse.prize != null) {
                if (paramResponse.prize == 'Áo') {
                    $('#img-present').attr('src', 'LuckyDiceImages/t-shirt.jpg');
                }
                if (paramResponse.prize == 'Mũ') {
                    $('#img-present').attr('src', 'LuckyDiceImages/hat.jpg');
                }
                if (paramResponse.prize == 'Xe máy') {
                    $('#img-present').attr('src', 'LuckyDiceImages/motobike.jpg');
                }
                if (paramResponse.prize == 'Ô tô') {
                    $('#img-present').attr('src', 'LuckyDiceImages/car.jpg');
                } else {
                    $('#img-present').attr('src', 'LuckyDiceImages/no-present.jpg')
                }
            }
        }
    }

    function getDataObj(paramDataObj) {
        'use strict';
        paramDataObj.username = $('#inp-user-name').val().trim();
        paramDataObj.firstname = $('#inp-first-name').val().trim();
        paramDataObj.lastname = $('#inp-last-name').val().trim();
    }

    function validateDataObj(paramDataObj) {
        'use strict';
        if (paramDataObj.username == "") {
            alert('Inp UserName is empty');
            return false;
        }
        if (paramDataObj.firstname == "") {
            alert('Inp FirstName is empty');
            return false;
        }
        if (paramDataObj.lastname == "") {
            alert('Inp LastName is empty');
            return false;
        }
        return true;
    }
</script>

</html>